Groovy Documentation

## org.codehaus.groovy.grails.commons.spring
[Java] Class GrailsContextEvent

    java.lang.Object
      org.springframework.context.ApplicationEvent
          org.codehaus.groovy.grails.commons.spring.GrailsContextEvent

    public class GrailsContextEvent
    extends ApplicationEvent

Signals various events related to the Grails context loading.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`static int` | `DYNAMIC_METHODS_REGISTERED`

Constructor Summary
`GrailsContextEvent(WebApplicationContext ctx, int eventType)`

Method Summary
`int` | `getEventType()`

Field Detail

### DYNAMIC_METHODS_REGISTERED

    public static final int DYNAMIC_METHODS_REGISTERED

Constructor Detail

### GrailsContextEvent

    public GrailsContextEvent(WebApplicationContext ctx, int eventType)

Method Detail

### getEventType

    public int getEventType()

Groovy Documentation